<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:context="http://www.springframework.org/schema/context"
	xmlns:p="http://www.springframework.org/schema/p" xmlns:util="http://www.springframework.org/schema/util"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
		http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd">

	<bean id="enablingInspectorGroup"
		class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptorGroup"
		p:name="enabling">
		<property name="descriptors">
			<list>
				<bean class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptor"
					p:name="profiles" p:relativeUrl="index.do" />
				<bean class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptor"
					p:name="registry" p:relativeUrl="registerProfile.do" />
				<bean class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptor"
					p:name="xquery" p:relativeUrl="query.do" />
				<bean class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptor"
					p:name="backup" p:relativeUrl="backups.do" />
				<bean class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptor"
					p:name="subscriptions" p:relativeUrl="sn.do" />
				<bean class="eu.dnetlib.enabling.inspector.StaticEntryPointDescriptor"
					p:name="info" p:relativeUrl="info.do" p:hiddenAsDefault="true" />
			</list>
		</property>
	</bean>
	
	<util:map id="containerInfo" map-class="java.util.LinkedHashMap">
		<entry key="Hostname" value="${container.hostname}" />
		<entry key="Port" value="${container.port}" />
		<entry key="Context" value="${container.context}" />
	</util:map>
</beans>
